package com.bootdo.system.dao;

import com.bootdo.system.domain.ProvinceCode;
import com.bootdo.system.domain.ProvinceCodeExample;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ProvinceCodeMapper {
    long countByExample(ProvinceCodeExample example);

    int deleteByExample(ProvinceCodeExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(ProvinceCode record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(ProvinceCode record);

    List<ProvinceCode> selectByExample(ProvinceCodeExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    ProvinceCode selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ProvinceCode record, @Param("example") ProvinceCodeExample example);

    int updateByExample(@Param("record") ProvinceCode record, @Param("example") ProvinceCodeExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(ProvinceCode record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(ProvinceCode record);

    int updateBatch(List<ProvinceCode> list);

    int batchInsert(@Param("list") List<ProvinceCode> list);
}